<?php 
class NP_device extends NucleusPlugin { 

	var $isStarted = false;

	function getName() { return 'NP_device'; }
	function getMinNucleusVersion() { return 330; }
	function getAuthor()  { return 'z10'; }
	function getVersion() { return '0.2'; }
	function getURL() {return 'http://sid-web.com';}
	function getDescription() { return '<%if(device,iphone)%>, <%if(device,ipad)%>,<%if(device,ketai)%>...'; } 
	function supportsFeature($what) { return ($what=='SqlTablePrefix')?1:0; }

	function getEventList() {
		return array(
		'PreSkinParse',
		'PostSkinParse',
		);
	}

	function event_PreSkinParse($data)
	 {
	$device = getenv( "HTTP_USER_AGENT" );
	 	if (ereg("DoCoMo|Vodafone|SoftBank|MOT-|J-PHONE|KDDI|UP.Browser|WILLCOM",$device)) {
			header('Pragma: no-cache');
			header('Cache-Control: no-cache, must-revalidate');
			header("Content-type: application/xhtml+xml");
			
			$this->isStarted = ob_start(array(&$this, 'zenhan'));
		}
	}

	function event_PostSkinParse($data) {
		if ($this->isStarted) {
			ob_end_flush();
		}
	}

	function zenhan($str_mobile) {
		$str_mobile = mb_convert_kana($str_mobile, 'rnask', 'UTF-8');
		return $str_mobile;
	}


	function doIf($param)
	{
		$device = getenv( "HTTP_USER_AGENT" );
		switch($param)
		{
		case 'smphone':
				$result = mb_ereg("iPhone|iPod|Android|BlackBerry",$device) ? true : false;
				break;
			/*case 'iphone':
				$result = mb_ereg("iPhone",$device) ? true : false;
				break;
			case 'ipod':
				$result = mb_ereg("iPod",$device) ? true : false;
				break;
			case 'android':
				$result = mb_ereg("Android",$device) ? true : false;
				break;
			case 'blackberry':
				$result = mb_ereg("BlackBerry",$device) ? true : false;
				break;*/
			case 'ipad':
				$result = mb_ereg("iPad",$device) ? true : false;
				break;
			case 'ketai':
				$result = mb_ereg("DoCoMo|Vodafone|SoftBank|MOT-|J-PHONE|KDDI|UP.Browser|WILLCOM",$device) ? true : false;
				break;
			default:
				$result = mb_ereg($param,$device) ? true : false;
		}
		return $result;
	}

	function doSkinVar()
	{
		$device = getenv( "HTTP_USER_AGENT" );
		echo $device;
	}


}
?>